#
# spec file for package vgb (Version 0.7)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         vgb
Release:      13
Copyright:    Marat Fayzullin 1994,1995,1996
Group: 
Provides:     vgb 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.7
Summary:      A virtual Gameboy. This is real.
Source: vgb.tar.gz
Patch: vgb.dif
%description
This emulator adds the whole world of Nintendo's Gameboy to your PC. Call
this depending on the color depth of your X-Server with vgb (8bit),
vgb16 (16bit) and vgb32 (32bit).

Authors:
--------
    Marat Fayzullin <fms@freeflight.com>

%prep
%setup -n vgb
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%dir /usr/doc/packages/vgb
%dir /usr/lib/vgb
/usr/X11R6/bin/vgb
/usr/X11R6/bin/vgb16
/usr/X11R6/bin/vgb32
%doc /usr/doc/packages/vgb/README
%doc /usr/doc/packages/vgb/VGB.doc
/usr/lib/vgb/CART.GB
/usr/lib/vgb/PUZZLE.gb
/usr/lib/vgb/RPN.gb
/usr/lib/vgb/SOUND.gb
/usr/lib/vgb/SPACE.gb
/usr/lib/vgb/SPRITE.gb
/usr/lib/vgb/TEST.GB

